# -*- coding: utf8 -*-
from __future__ import unicode_literals

from driverng.protocol.void import VoidProtocol


class StarletVoidProtocol(VoidProtocol):

    def build_trames(self, message):
        if message and bytearray([message[-1]]) not in (b"\r", b"\n"):
            message += b"\r\n"
        trames = b"<start>\r\n{}<end>\r\n".format(message)
        return trames

    def recv_trames(self):
        message = self.read(size=4096)
        return message
